Subject: Re: Re: rcirc.el: make default PART and QUIT reasons customizable

From: Daniel Ralston <[email-masked]>
Date: Thu, 13 Dec 2012 07:05:08 -0800

Hi Deniz,

Sorry for my glacially tardy response.
That's a much cleaner way of doing it. I hadn't really looked into
composite types before, so thanks for the suggestion! I have attached the
new patch file to this message. Let me know what you think, and if you'd
like me to tweak it any further. I'll try to respond more promptly next
time.

    Daniel

Changelog entry:

2012-11-10  Daniel Ralston  <[email-masked]>

    * rcirc.el: Make the default PART and QUIT reasons used by
    rcirc-cmd-part and rcirc-cmd-quit customizable.
    (rcirc-default-part-reason,rcirc-default-quit-reason): New
    customizable vars.

Subject: Re: rcirc.el: make default PART and QUIT reasons customizable
> Date: Fri, 23 Nov 2012 18:25:30 +0100
> From: Deniz Dogan <[email-masked]>
> To: [email-masked]
>
> Hi, Daniel
>
> This is a good patch! In my opinion it would be nicer if we use a
> composite customization type for rcirc-default-part-reason and
> rcirc-default-quit-reason, letting the user choose between the default
> (rcirc-id-string) and a custom message.
>
> What do you think about this idea?  Would you be willing to write a new
> patch implementing this instead?
>
> Cheers,
> Deniz
>
>
>
>